Index: mythbrowser/i18n/mythbrowser_fi.ts
===================================================================
--- mythbrowser/i18n/mythbrowser_fi.ts	(revision 19002)
+++ mythbrowser/i18n/mythbrowser_fi.ts	(working copy)
@@ -1,253 +1,299 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1">
+<!DOCTYPE TS><TS>
 <context>
+    <name>BookmarkManager</name>
+    <message>
+        <source>No bookmarks defined.
+
+Use the &apos;Add Bookmark&apos; menu option to add new bookmarks</source>
+        <translation>Ei kirjainmerkkejä.
+
+Käytä &apos;Lisää kirjainmerkki&apos; valikosta lisätäksesi uusia kirjainmerkkejä</translation>
+    </message>
+    <message>
+        <source>Actions</source>
+        <translation>Toiminnot</translation>
+    </message>
+    <message>
+        <source>Add Bookmark</source>
+        <translation>Lisää kirjainmerkki</translation>
+    </message>
+    <message>
+        <source>Edit Bookmark</source>
+        <translation>Muokkaa kirjainmerkkejä</translation>
+    </message>
+    <message>
+        <source>Delete Bookmark</source>
+        <translation>Poista kirjainmerkki</translation>
+    </message>
+    <message>
+        <source>Show bookmark</source>
+        <translation>Näytä kirjainmerkki</translation>
+    </message>
+    <message>
+        <source>Delete Marked</source>
+        <translation>Poista merkityt</translation>
+    </message>
+    <message>
+        <source>Show Marked</source>
+        <translation>Näytä merkityt</translation>
+    </message>
+    <message>
+        <source>Clear Marked</source>
+        <translation>Poista valinnat</translation>
+    </message>
+    <message>
+        <source>Cancel</source>
+        <translation>Peruuta</translation>
+    </message>
+    <message>
+        <source>Are you sure you want to delete the selected bookmark</source>
+        <translation>Haluatko varmasti poistaa tämän kirjainmerkin</translation>
+    </message>
+    <message>
+        <source>Are you sure you want to delete the marked bookmarks</source>
+        <translation>Haluatko varmasti poistaa valitut kirjainmerkit</translation>
+    </message>
+</context>
+<context>
     <name>Bookmarks</name>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="504"/>
         <source>MythBrowser: Select group or single site to view</source>
-        <translation>MythBrowser: Valitse ryhmä tai yksittäinen sivusto näytettäväksi</translation>
+        <translation type="obsolete">MythBrowser: Valitse ryhmä tai yksittäinen sivusto näytettäväksi</translation>
     </message>
 </context>
 <context>
     <name>BookmarksConfig</name>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="245"/>
         <source>MythBrowser Bookmarks Settings</source>
-        <translation>MythBrowser Kirjanmerkki-asetukset</translation>
+        <translation type="obsolete">MythBrowser Kirjanmerkki-asetukset</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="256"/>
         <source>Press the &apos;New Bookmark&apos; button to add a new site/group.
 Pressing SPACE/Enter on a selected entry removes it from the listview.</source>
-        <translation>Paina &apos;Uusi Kirjanmerkki&apos;-nappia lisätäksesi uuden ryhmän/sivuston.
+        <translation type="obsolete">Paina &apos;Uusi Kirjanmerkki&apos;-nappia lisätäksesi uuden ryhmän/sivuston.
 SPACE/Enter valitulla osoitteella poistaa sen.</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="277"/>
         <source>Zoom [%]:</source>
-        <translation>Suurennos [%]:</translation>
+        <translation type="obsolete">Suurennos [%]:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="290"/>
         <source>Browser:</source>
-        <translation>Selain:</translation>
+        <translation type="obsolete">Selain:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="304"/>
         <source>Hide Scrollbars</source>
-        <translation>Piilota Vierintäpalkit</translation>
+        <translation type="obsolete">Piilota Vierintäpalkit</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="311"/>
         <source>Scroll Page</source>
-        <translation>Vierintätapa</translation>
+        <translation type="obsolete">Vierintätapa</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="317"/>
         <source>Scroll Speed:</source>
-        <translation>Vierintänopeus:</translation>
+        <translation type="obsolete">Vierintänopeus:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="332"/>
         <source>&amp;New Bookmark</source>
-        <translation>&amp;Uusi Kirjanmerkki</translation>
+        <translation type="obsolete">&amp;Uusi Kirjanmerkki</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="339"/>
         <source>Add a new Website</source>
-        <translation>Nettiosoitteen Lisäys</translation>
+        <translation type="obsolete">Nettiosoitteen Lisäys</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="345"/>
         <source>&amp;Finish</source>
-        <translation>&amp;Lopeta</translation>
+        <translation type="obsolete">&amp;Lopeta</translation>
     </message>
 </context>
 <context>
+    <name>BrowserConfig</name>
+    <message>
+        <source>MythBrowser Settings</source>
+        <translation>MythBrowser asetukset</translation>
+    </message>
+    <message>
+        <source>Ok</source>
+        <translation>OK</translation>
+    </message>
+    <message>
+        <source>Cancel</source>
+        <translation>Peruuta</translation>
+    </message>
+    <message>
+        <source>This is the command that will be used to show the web browser. The default is to use MythBrowser.</source>
+        <translation>Tätä komentoa käytetään tuomaan verkkoselain esille. Oletuksena käynnistetään MythBrowser.</translation>
+    </message>
+    <message>
+        <source>This is the default text size that will be used. Valid values are from 0.3 to 5.0 with 1.0 being normal size less than 1 is smaller and greater than 1 is larger than normal size.</source>
+        <translation>Tämä on oletettu fintin koko, jota käytetään. Hyväksytyt arvot ovat 0.3 - 5.0. 1.0 on normaali koko, 1.0 pienemmät ovat pienempiä kuin normaali koko ja 1.0 suuremmat ovat suurempia kuin normaali koko.</translation>
+    </message>
+    <message>
+        <source>Exit without saving settings</source>
+        <translation>Poistu tallentamatta asetuksia</translation>
+    </message>
+    <message>
+        <source>Save settings and Exit</source>
+        <translation>Tallenna asetukset ja poistu</translation>
+    </message>
+</context>
+<context>
     <name>MythBrowser</name>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="339"/>
         <source>Enter URL</source>
-        <translation type="unfinished">Anna URL</translation>
+        <translation>Anna www -osoite</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="226"/>
         <source>Loading...</source>
-        <translation type="unfinished"></translation>
+        <translation>Lataa...</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="328"/>
         <source>Actions</source>
-        <translation type="unfinished"></translation>
+        <translation>Toiminnot</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="342"/>
         <source>Back</source>
-        <translation type="unfinished">Takaisin</translation>
+        <translation>Takaisin</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="345"/>
         <source>Forward</source>
-        <translation type="unfinished"></translation>
+        <translation>Eteenpäin</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="347"/>
         <source>Zoom In</source>
-        <translation type="unfinished">Suurenna</translation>
+        <translation>Suurenna</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="348"/>
         <source>Zoom Out</source>
-        <translation type="unfinished">Pienennä</translation>
+        <translation>Loitonna</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="349"/>
         <source>New Tab</source>
-        <translation type="unfinished"></translation>
+        <translation>Uusi välilehti</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="352"/>
         <source>Delete Tab</source>
-        <translation type="unfinished"></translation>
+        <translation>Poista välilehti</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="354"/>
         <source>Cancel</source>
-        <translation type="unfinished">Peruuta</translation>
+        <translation>Peruuta</translation>
     </message>
+    <message>
+        <source>Edit Bookmarks</source>
+        <translation>Muokkaa kirjainmerkkejä</translation>
+    </message>
+    <message>
+        <source>Add Bookmark</source>
+        <translation>Lisää kirjainmerkki</translation>
+    </message>
 </context>
 <context>
     <name>PopupBox</name>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="93"/>
         <source>Add New Website</source>
-        <translation>Uusi Nettiosoite</translation>
+        <translation type="obsolete">Uusi Nettiosoite</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="96"/>
         <source>Group:</source>
-        <translation>Ryhmä:</translation>
+        <translation type="obsolete">Ryhmä:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="100"/>
         <source>Description:</source>
-        <translation>Kuvaus:</translation>
+        <translation type="obsolete">Kuvaus:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="104"/>
         <source>URL:</source>
-        <translation>URL:</translation>
+        <translation type="obsolete">URL:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="112"/>
         <source>&amp;Ok</source>
-        <translation>&amp;Ok</translation>
+        <translation type="obsolete">&amp;Ok</translation>
     </message>
 </context>
 <context>
     <name>TabView</name>
     <message>
-        <location filename="" line="0"/>
         <source>MythBrowser Menu</source>
         <translation type="obsolete">MythBrowser Valikko</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>         Back         </source>
         <translation type="obsolete">         Takaisin        </translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>       Next Tab       </source>
         <translation type="obsolete">      Seuraava Välilehti     </translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>       Prev Tab       </source>
         <translation type="obsolete">    Edellinen Välilehti   </translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Save Link in Bookmarks</source>
         <translation type="obsolete">Tallenna Kirjanmerkkeihin</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Enter URL</source>
         <translation type="obsolete">Anna URL</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Cancel</source>
         <translation type="obsolete">Peruuta</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>      Remove Tab      </source>
         <translation type="obsolete">     Poista Välilehti     </translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>       Zoom Out       </source>
         <translation type="obsolete">       Loitonna       </translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>       Zoom In        </source>
         <translation type="obsolete">       Lähennä       </translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Back</source>
         <translation type="obsolete">Takaisin</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Next Tab</source>
         <translation type="obsolete">Seuraava Välilehti</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Prev Tab</source>
         <translation type="obsolete">Edellinen Välilehti</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Remove Tab</source>
         <translation type="obsolete">Poista Välilehti</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Zoom Out</source>
         <translation type="obsolete">Pienennä</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Zoom In</source>
         <translation type="obsolete">Suurenna</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Add New Bookmark</source>
         <translation type="obsolete">Lisää Uusi Kirjanmerkki</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Group:</source>
         <translation type="obsolete">Ryhmä:</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Description:</source>
         <translation type="obsolete">Kuvaus:</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>URL:</source>
         <translation type="obsolete">URL:</translation>
     </message>
@@ -255,9 +301,8 @@
 <context>
     <name>WebPage</name>
     <message>
-        <location filename="../mythbrowser/webpage.cpp" line="131"/>
         <source>Loading...</source>
-        <translation type="unfinished"></translation>
+        <translation>Lataa...</translation>
     </message>
 </context>
 </TS>
